SDL_ClipboardEvent(3type)

NAME
SDL_ClipboardEvent - An event triggered when the clipboard contents have changed (event.clipboard.*)

SYNOPSIS
#include <SDL3/SDL_events.h>

typedef struct SDL_ClipboardEvent
{
    SDL_EventType type; /**< SDL_EVENT_CLIPBOARD_UPDATE */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    bool owner;         /**< are we owning the clipboard (internal update) */
    Sint32 num_mime_types;   /**< number of mime types */
    const char **mime_types; /**< current mime types */
} SDL_ClipboardEvent;

AVAILABILITY
This struct is available since SDL 3.2.0.